Subject: Re: What's the right way to use a *large* number of source addresses?

From: [email-masked] (Niels Möller)
Date: Mon, 26 May 2014 08:39:34 +0200

Cong Wang <[email-masked]> writes:

> On Fri, May 23, 2014 at 2:38 AM, Niels Möller <[email-masked]> wrote:
>>
>> So now I'm trying to figure out what's the Right Way to enable traffic
>> generations with a large number of source addresses, to possibly retire
>> the proprietary kernel module. I see a couple of different approaches:
>
> Isn't pktgen is what you are looking for?

No, I'd like to have a user-space application using a plain tcp socket
as the endpoint.

In my experience, pktgen is useful if you want to test the limits of raw
packet performance of network cards and drivers, or generate load on
networking equipment. But not for generating load on a real application,
where the data needs to follow some higher level protocol.

Regards,
/Niels